org.apache.cassandra.io.sstable.format.big

## Class BigFormat

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.big.BigFormat

- All Implemented Interfaces:
    SSTableFormat

      public class BigFormat
      extends java.lang.Object
      implements SSTableFormat

  Legacy bigtable format

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.io.sstable.format.SSTableFormat

      `SSTableFormat.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BigFormat` | `instance`
    `static org.apache.cassandra.io.sstable.format.big.BigFormat.BigVersion` | `latestVersion`

    - ### Fields inherited from interface org.apache.cassandra.io.sstable.format.SSTableFormat

      `enableSSTableDevelopmentTestMode`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractCompactedRow` | `getCompactedRowWriter(CompactionController controller, com.google.common.collect.ImmutableList<OnDiskAtomIterator> onDiskAtomIterators)`
    `RowIndexEntry.IndexSerializer` | `getIndexSerializer(CFMetaData cfMetaData)`
    `Version` | `getLatestVersion()`
    `java.util.Iterator<OnDiskAtom>` | `getOnDiskIterator(FileDataInput in, ColumnSerializer.Flag flag, int expireBefore, CFMetaData cfm, Version version)`
    `SSTableReader.Factory` | `getReaderFactory()`
    `Version` | `getVersion(java.lang.String version)`
    `SSTableWriter.Factory` | `getWriterFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final BigFormat instance

    - #### latestVersion

          public static final org.apache.cassandra.io.sstable.format.big.BigFormat.BigVersion latestVersion

  - ### Method Detail

    - #### getLatestVersion

          public Version getLatestVersion()

      Specified by:
        `getLatestVersion` in interface `SSTableFormat`

    - #### getVersion

          public Version getVersion(java.lang.String version)

      Specified by:
        `getVersion` in interface `SSTableFormat`

    - #### getWriterFactory

          public SSTableWriter.Factory getWriterFactory()

      Specified by:
        `getWriterFactory` in interface `SSTableFormat`

    - #### getReaderFactory

          public SSTableReader.Factory getReaderFactory()

      Specified by:
        `getReaderFactory` in interface `SSTableFormat`

    - #### getOnDiskIterator

          public java.util.Iterator<OnDiskAtom> getOnDiskIterator(FileDataInput in,
                                                                  ColumnSerializer.Flag flag,
                                                                  int expireBefore,
                                                                  CFMetaData cfm,
                                                                  Version version)

      Specified by:
        `getOnDiskIterator` in interface `SSTableFormat`

    - #### getCompactedRowWriter

          public AbstractCompactedRow getCompactedRowWriter(CompactionController controller,
                                                            com.google.common.collect.ImmutableList<OnDiskAtomIterator> onDiskAtomIterators)

      Specified by:
        `getCompactedRowWriter` in interface `SSTableFormat`

    - #### getIndexSerializer

          public RowIndexEntry.IndexSerializer getIndexSerializer(CFMetaData cfMetaData)

      Specified by:
        `getIndexSerializer` in interface `SSTableFormat`

Copyright © 2018 The Apache Software Foundation